SVGs rendered as "empty" images
Closed, ResolvedPublic

Description

Author: bugzillas+padREMOVETHISdu

Description:
The given URL at the given anchor includes many PNGised reduced-resolution SVG
images, some of which render properly but some of which give an empty space. For
example,
http://upload.wikimedia.org/wikipedia/en/thumb/d/d9/California_State_Route_60.svg/25px-California_State_Route_60.svg.png
renders properly but
http://upload.wikimedia.org/wikipedia/en/thumb/0/02/California_State_Route_57.svg/25px-California_State_Route_57.svg.png
is "empty". However note that the second image is rendered correctly in its
image description page
http://en.wikipedia.org/wiki/Image:California_State_Route_57.svg as shown at
http://upload.wikimedia.org/wikipedia/en/thumb/0/02/California_State_Route_57.svg/469px-California_State_Route_57.svg.png.


Version: unspecified
Severity: major

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz5463.
bzimport created this task.Via LegacyApr 5 2006, 4:44 PM
brion added a comment.Via ConduitApr 5 2006, 8:24 PM

Use ?action=purge on the image pages, then make sure you've completely reloaded the small
images (they may be cached).

bzimport added a comment.Via ConduitApr 6 2006, 8:18 PM

bugzillas+padREMOVETHISdu wrote:

This procedure seems to work but do we have to do this with every other
reduced-resolution SVG? Any clue on what is this bug caused due to?

bzimport added a comment.Via ConduitApr 8 2006, 10:48 AM

atanamir wrote:

Hello,
I have been having this problem as well. If I upload an SVG, I oftentimes get a blank PNG version of the image (either of the acutal-size image itself or its reduced-res
thumbnail). However, if I action=purge it, it will appear (sometimes two action=purge is required). Moreever, if the image was uploaded at the commons, i would have to action=purge
at BOTH the image's page at commons AND wikipedia before i get a non-empty PNG thumb / fullsizepreview. If i didn't purge at wikipedia after commons, i'd get a broken image. I
tried this on both my computer using firefox and IE, and my roommate's computer -- the images are indeed blank. It's not my cache.

User:Atanamir at en-wiki.

bzimport added a comment.Via ConduitApr 8 2006, 4:40 PM

bugzillas+padREMOVETHISdu wrote:

Update summary to include SVGs at original resolutions per Stephen's comment.

bzimport added a comment.Via ConduitMay 25 2006, 1:39 PM

drspui wrote:

This is bloody fuck annoying when several pages have the image at different
sizes. I have to purge on commons, then purge each page, and repeat about 10-20
times until I luck out and each one loads properly.

For example, try getting the I-80 shields to show on these four pages:

New York, NY")

the auxiliary routes navbox)

to the right)

Bloody fuck.

bzimport added a comment.Via ConduitMay 27 2006, 12:49 PM

bugzillas+padREMOVETHISdu wrote:

Upgrading severity to "major" since the workaround doesn't always look "easy"
(http://bugzilla.wikimedia.org/page.cgi?id=fields.html#severity).

bzimport added a comment.Via ConduitMay 31 2006, 7:41 AM

rguico wrote:

It works infrequently enough that I would just as well call it not a fix. I've
posted to the Village pump twice about it making sure I had the instructions
right, and I'm 0 for 4 so far.

bzimport added a comment.Via ConduitJun 4 2006, 3:53 AM

rory096 wrote:

There are JS tools to give you a quick link to purge the cache, SPUI.

bzimport added a comment.Via ConduitJun 8 2006, 4:46 AM

bugzillas+padREMOVETHISdu wrote:

Usually what happens is that I have to keep purging the Commons image page until
the image disappears in that page (if that never happens, tough luck -- have to
randomly keep purging the image pages in Commons and Wikipedia), purge once
more, then purge the Wikipedia image page once and then shift+reload (on
Moz/Ffox) the article using the image.

bzimport added a comment.Via ConduitJun 13 2006, 1:04 PM

imeowbot wrote:

I don't know it this is truly related, but there has been a similar problem with
PNG images over the past two days or so. The only difference is that there are
missing thumbnails instead of empty ones, but the purge-a-million-times problem
seems identical.

bzimport added a comment.Via ConduitJun 24 2006, 7:22 AM

drspui wrote:

I tried doing it to http://commons.wikimedia.org/wiki/Image:Stop_hand.svg and
couldn't get it to happen. It's been suggested that it only affects SVGs made in
Adobe Illustrator, not in Inkscape, and that the <!ENTITY> tags cause it.

brion added a comment.Via ConduitJun 25 2006, 5:26 AM

This has (hopefully) been resolved now. Final purging might be
necessary on those that were already broken.

bzimport added a comment.Via ConduitAug 6 2006, 4:09 PM

blogging wrote:

Excuse me. I have a problem that seems to be of the same kind as the discussed
one. I have updated and corrected a svg some months after the first upload to
commons. But this time, the svg is not rendered to png any more. There is simply
no image shown in the image description at
http://commons.wikimedia.org/wiki/Image:Epsilontensor.svg but on the other hand,
the svg itself seems to be
intact:http://upload.wikimedia.org/wikipedia/commons/7/71/Epsilontensor.svg . I
have tried it on Linux and Windows with a number of different browsers. The svg
is generated as plain-svg by the use of Inkskape.
I am really sorry... could anyone help me please?
I excuse that I didn't understand where I should add ?action=purge as mentioned
above. The image itself is used on several pages allother different
language-types of wikipedia.org .

I have already asked for help at the Commons helpdesk but nobody could help me
more than quoting this discussion:
http://commons.wikimedia.org/wiki/Commons:Help_desk#Help:_Upload_new_version_problem

User: Akriesch at commons.wiki

bzimport added a comment.Via ConduitAug 6 2006, 5:06 PM

drspui wrote:

This doesn't seem related, as this bug always shows the right size but blank.
Maybe your SVG size paramaters are busted?

bzimport added a comment.Via ConduitOct 26 2006, 9:47 PM

neroute2 wrote:

I have no idea what happened, but this bug seems to be back:
http://en.wikipedia.org/wiki/User:NE2/shields

bzimport added a comment.Via ConduitFeb 23 2007, 6:01 AM

neroute2 wrote:

It appears that opening and saving in Inkscape fixes the problem, but this
shouldn't be necessary:
http://en.wikipedia.org/wiki/Wikipedia_talk:WikiProject_U.S._Roads#Re-upload_all_shields.3F

bzimport added a comment.Via ConduitFeb 23 2007, 10:00 PM

bugzillas+padREMOVETHISdu wrote:

As I mentioned at
http://en.wikipedia.org/wiki/Wikipedia_talk:WikiProject_U.S._Roads#Re-upload_all_shields.3F
http://upload.wikimedia.org/wikipedia/commons/thumb/a/a5/I-476.svg/62px-I-476.svg.png
never works, even after multiple purges and a reupload of the image at
[[commons:Image:I-476.svg]].

bzimport added a comment.Via ConduitJul 8 2007, 6:16 PM

vishwin.wm wrote:

Are the devs still figuring out this problem? If not, I might tag it as WONTFIX, as Jeff G's solution is proven to work.

bzimport added a comment.Via ConduitJul 8 2007, 7:53 PM

ayg wrote:

Please do not tag anything WONTFIX unless you're a developer or are otherwise really sure you know what you're doing. What Jeff G. gave is a workaround. That is not a fix, and the issue still exists. No one is currently working on this issue, but that doesn't mean it's not still an issue that should be fixed at some point in the future if practical.

bzimport added a comment.Via ConduitJul 9 2007, 1:15 PM

rguico wrote:

Downloading the image and re-saving it in Inkscape is also another proven workaround. Fixing the original bug isn't a bad idea either, though. :-D

bzimport added a comment.Via ConduitAug 13 2007, 2:19 PM

RSYQFIOJGWZA wrote:

(In reply to comment #22)

Downloading the image and re-saving it in Inkscape is also another proven
workaround. Fixing the original bug isn't a bad idea either, though. :-D

Yes, fixing the original bug would certainly be a good idea. :)

bzimport added a comment.Via ConduitSep 16 2007, 2:29 AM

jesse.viviano wrote:

I noticed that this bug only seems to plague images in the Commons while browsing the English Wikipedia. It is not affecting SVGs on the English Wikipedia itself, like [[Image:Linksyslogo.svg]]. Therefore, I am adding the crosswiki keyword because this involves both the English Wikipedia and the Wikimedia Commons. I do not know if it affects other Wikimedia wikis. I also noticed that Commons is currently having trouble rendering images like [[commons:Image:Flag of the United States.svg]], which it used to have no trouble with. Could it be possible that the processes that render SVGs on the Commons have gotten corrupt?

bzimport added a comment.Via ConduitSep 16 2007, 2:50 AM

jesse.viviano wrote:

It seems that this might have nothing to do with SVGs. On [[User:AZPR]] (Sorry if this bothers you if my using of your bot's user page as an example bothers you, AndyZ!), a PNG that is hosted on the Wikimedia Commons is not resizing correctly.

bzimport added a comment.Via ConduitSep 16 2007, 4:00 PM

bugs wrote:

*** Bug 11364 has been marked as a duplicate of this bug. ***

brion added a comment.Via ConduitSep 17 2007, 2:08 PM
  • Bug 11366 has been marked as a duplicate of this bug. ***
bzimport added a comment.Via ConduitSep 17 2007, 9:11 PM

RSYQFIOJGWZA wrote:

"Some image thumbnails are not rendering correctly." On Wikimedia Commons. This became a much more visible problem on 2007-09-15. "On irc://irc.freenode.net/wikimedia-tech it was mentioned MANY times. The first thing that was discovered was that the disk array for the thumbnails was full. This in turn, caused all subsequent re-sizings to render zero-byte images. The disk space was quickly expanded, but a considerable amount of residual damage lingers." per edit http://commons.wikimedia.org/w/index.php?title=Commons:Village_pump&diff=7560187&oldid=7558257 . More info is available at http://commons.wikimedia.org/wiki/Commons:Village_pump#Image_Problems . I continue to disagree with the marking of the new problems from 2007-09-15 as duplicates of this bug 5463.

bzimport added a comment.Via ConduitJan 22 2008, 11:09 AM

neroute2 wrote:

It appears that this bug has been fixed for a while. Cheers.

Gilles raised the priority of this task from "High" to "Unbreak Now!".Via WebDec 4 2014, 10:19 AM
Gilles moved this task to Closed on the Multimedia workboard.
Gilles added a project: Multimedia.
Gilles lowered the priority of this task from "Unbreak Now!" to "High".Via ConduitDec 4 2014, 11:22 AM

Add Comment